#!/usr/bin/perl
# Copyright (c) 2009 Symbian Foundation Ltd
# This component and the accompanying materials are made available
# under the terms of the License "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Symbian Foundation Ltd - initial contribution.
#
# Contributors:
# Maciej Seroka <maciejs@symbian.org>
#
# Description:
# Script to build ATS test drop for (Web Services) XML Extensions BC tests


use strict;
use File::Copy;
use File::Path;

unlink "xmlextensionstest.zip";
rmtree "temp";
mkpath "temp/xmlextensionstest/general/WSTester";
mkpath "temp/xmlextensionstest/general/WSTester/init";
mkpath "temp/xmlextensionstest/general/WSTester/reference";
mkpath "temp/xmlextensionstest/general/WSTester/result";
mkpath "temp/xmlextensionstest/general/WSTester/xml";
mkpath "temp/xmlextensionstest/winscw_udeb";

my $epoc=$ENV{'EPOCROOT'} . "epoc32/";
copy("xmlextensions.xml",	"temp/test.xml");

copy($epoc . "release/winscw/udeb/WSTester.dll",		"temp/xmlextensionstest/winscw_udeb/WSTester.dll") or die "failed : $!";

copy($epoc . "winscw/c/WS/WSTester/XMLExtensions.in",					"temp/xmlextensionstest/general/WSTester/XMLExtensions.in") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/init/SenIdentities_CM_001_002.xml",	"temp/xmlextensionstest/general/WSTester/init/SenIdentities_CM_001_002.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/init/SenIdentities_CM_001_003.xml",	"temp/xmlextensionstest/general/WSTester/init/SenIdentities_CM_001_003.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/init/SenIdentities_CM_001_004.xml",	"temp/xmlextensionstest/general/WSTester/init/SenIdentities_CM_001_004.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/init/SenIdentities_CM_001_006.xml",	"temp/xmlextensionstest/general/WSTester/init/SenIdentities_CM_001_006.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/init/SenIdentities_CM_001_012.xml",	"temp/xmlextensionstest/general/WSTester/init/SenIdentities_CM_001_012.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/init/SenSessions.testNetwork.xml",	"temp/xmlextensionstest/general/WSTester/init/SenSessions.testNetwork.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/init/SenSessions_CM_001_002.xml",	"temp/xmlextensionstest/general/WSTester/init/SenSessions_CM_001_002.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/init/SenSessions_CM_001_003.xml",	"temp/xmlextensionstest/general/WSTester/init/SenSessions_CM_001_003.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/init/SenSessions_CM_001_004.xml",	"temp/xmlextensionstest/general/WSTester/init/SenSessions_CM_001_004.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/init/SenSessions_CM_001_006.xml",	"temp/xmlextensionstest/general/WSTester/init/SenSessions_CM_001_006.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/init/SenSessions_CM_001_012.xml",	"temp/xmlextensionstest/general/WSTester/init/SenSessions_CM_001_012.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/init/senidentities_tgx.xml",			"temp/xmlextensionstest/general/WSTester/init/senidentities_tgx.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/init/sensessions_lab.xml",			"temp/xmlextensionstest/general/WSTester/init/sensessions_lab.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_101_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_101_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_101_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_101_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_102_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_102_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_102_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_102_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_103_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_103_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_103_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_103_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_103_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_103_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_104_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_104_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_104_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_104_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_105_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_105_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_105_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_105_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_105_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_105_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_107_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_107_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_107_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_107_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_108_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_108_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_108_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_108_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_109_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_109_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_109_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_109_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_110_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_110_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_110_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_110_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_110_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_110_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_111_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_111_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_111_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_111_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_112_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_112_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_112_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_112_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_113_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_113_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_113_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_113_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_113_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_113_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_114_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_114_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_114_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_114_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_114_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_114_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_115_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_115_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_115_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_115_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_115_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_115_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_116_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_116_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_116_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_116_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_119_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_119_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_119_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_119_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_120_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_120_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_120_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_120_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_121_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_121_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_121_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_121_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_121_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_121_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_122_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_122_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_122_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_122_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_123_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_123_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_123_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_123_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_123_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_123_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_123_004.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_123_004.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_124_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_124_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_124_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_124_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_125_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_125_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_125_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_125_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_126_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_126_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_126_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_126_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_126_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_126_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_126_004.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_126_004.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_127_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_127_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_127_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_127_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_127_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_127_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_127_004.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_127_004.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_128_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_128_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_129_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_129_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_129_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_129_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_129_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_129_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_130_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_130_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_131_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_131_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_131_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_131_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_132_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_132_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_132_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_132_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_133_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_133_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_133_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_133_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_133_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_133_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_133_004.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_133_004.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_134_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_134_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_134_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_134_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_135_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_135_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-HF_135_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-HF_135_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_001_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_001_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_002_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_002_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_002_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_002_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_002_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_002_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_003_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_003_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_003_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_003_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_003_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_003_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_004_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_004_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_004_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_004_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_005_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_005_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_006_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_006_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_006_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_006_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_006_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_006_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_006_004.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_006_004.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_007_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_007_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_008_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_008_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_009_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_009_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_009_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_009_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_009_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_009_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_009_004.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_009_004.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_010_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_010_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_010_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_010_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_010_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_010_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_010_004.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_010_004.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_011_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_011_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_011_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_011_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_011_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_011_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_011_004.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_011_004.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_012_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_012_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_012_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_012_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_012_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_012_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_013_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_013_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_014_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_014_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_015_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_015_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_016_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_016_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_016_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_016_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_017_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_017_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_017_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_017_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_018_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_018_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_018_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_018_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_018_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_018_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_018_004.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_018_004.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_019_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_019_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_019_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_019_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_019_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_019_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_020_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_020_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_020_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_020_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_020_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_020_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_021_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_021_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_021_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_021_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_004.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_004.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_005.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_005.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_006.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_006.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_007.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_007.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_008.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_008.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_009.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_009.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_010.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_010.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_011.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_011.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_012.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_012.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_013.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_013.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_014.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_014.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_015.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_015.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_016.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_016.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_017.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_017.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_018.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_018.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_019.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_019.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_020.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_020.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_021.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_021.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_022.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_022.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_023.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_023.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_024.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_024.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_025.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_025.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_026.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_026.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_027.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_027.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_028.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_028.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_029.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_029.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_030.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_030.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_031.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_031.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_032.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_032.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_033.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_033.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_034.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_034.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_035.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_035.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_036.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_036.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_037.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_037.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_038.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_038.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_039.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_039.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_040.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_040.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_022_041.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_022_041.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_004.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_004.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_005.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_005.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_006.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_006.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_007.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_007.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_008.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_008.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_009.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_009.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_010.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_010.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_011.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_011.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_012.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_012.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_013.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_013.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_014.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_014.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_015.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_015.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_016.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_016.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_017.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_017.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_018.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_018.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_019.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_019.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_020.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_020.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_021.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_021.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_022.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_022.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_023.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_023.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/WS-XML_023_024.ref",		"temp/xmlextensionstest/general/WSTester/reference/WS-XML_023_024.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_001_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_001_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_001_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_001_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_001_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_001_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_001_004.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_001_004.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_001_005.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_001_005.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_001_006.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_001_006.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_001_007.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_001_007.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_001_009.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_001_009.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_001_010.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_001_010.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_001_011.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_001_011.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_001_012.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_001_012.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_001_013.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_001_013.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_001_014.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_001_014.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_003_001.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_003_001.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_003_002.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_003_002.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/reference/ws-hf_003_003.ref",		"temp/xmlextensionstest/general/WSTester/reference/ws-hf_003_003.ref") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/001.xml",						"temp/xmlextensionstest/general/WSTester/xml/001.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/003.xml",						"temp/xmlextensionstest/general/WSTester/xml/003.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/006.xml",						"temp/xmlextensionstest/general/WSTester/xml/006.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/007.xml",						"temp/xmlextensionstest/general/WSTester/xml/007.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/008.xml",						"temp/xmlextensionstest/general/WSTester/xml/008.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/009.xml",						"temp/xmlextensionstest/general/WSTester/xml/009.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/010.xml",						"temp/xmlextensionstest/general/WSTester/xml/010.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/011.xml",						"temp/xmlextensionstest/general/WSTester/xml/011.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/013.xml",						"temp/xmlextensionstest/general/WSTester/xml/013.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/015.xml",						"temp/xmlextensionstest/general/WSTester/xml/015.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/016.xml",						"temp/xmlextensionstest/general/WSTester/xml/016.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/019.xml",						"temp/xmlextensionstest/general/WSTester/xml/019.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/020.xml",						"temp/xmlextensionstest/general/WSTester/xml/020.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/021.xml",						"temp/xmlextensionstest/general/WSTester/xml/021.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/022.xml",						"temp/xmlextensionstest/general/WSTester/xml/022.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/027.xml",						"temp/xmlextensionstest/general/WSTester/xml/027.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/028.xml",						"temp/xmlextensionstest/general/WSTester/xml/028.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/029.xml",						"temp/xmlextensionstest/general/WSTester/xml/029.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/033.xml",						"temp/xmlextensionstest/general/WSTester/xml/033.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/034.xml",						"temp/xmlextensionstest/general/WSTester/xml/034.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/037.xml",						"temp/xmlextensionstest/general/WSTester/xml/037.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/038.xml",						"temp/xmlextensionstest/general/WSTester/xml/038.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/039.xml",						"temp/xmlextensionstest/general/WSTester/xml/039.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/041.xml",						"temp/xmlextensionstest/general/WSTester/xml/041.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/Internal_Entity_Replacement&Notation_Declaration.xml","temp/xmlextensionstest/general/WSTester/xml/Internal_Entity_Replacement&Notation_Declaration.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/attrib_no_wspace.xml",			"temp/xmlextensionstest/general/WSTester/xml/attrib_no_wspace.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/attrib_quotes_not_matching.xml",	"temp/xmlextensionstest/general/WSTester/xml/attrib_quotes_not_matching.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/attrib_value_contain_symbol.xml","temp/xmlextensionstest/general/WSTester/xml/attrib_value_contain_symbol.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/attrib_value_empty.xml",			"temp/xmlextensionstest/general/WSTester/xml/attrib_value_empty.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/attribute_FIXED.xml",			"temp/xmlextensionstest/general/WSTester/xml/attribute_FIXED.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/attribute_REQUIRED.xml",			"temp/xmlextensionstest/general/WSTester/xml/attribute_REQUIRED.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/attribute_implied.xml",			"temp/xmlextensionstest/general/WSTester/xml/attribute_implied.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/attribute_types.xml",			"temp/xmlextensionstest/general/WSTester/xml/attribute_types.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/cdata.xml",						"temp/xmlextensionstest/general/WSTester/xml/cdata.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/cdata_before_declaration.xml",	"temp/xmlextensionstest/general/WSTester/xml/cdata_before_declaration.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/cdata_before_root.xml",			"temp/xmlextensionstest/general/WSTester/xml/cdata_before_root.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/cdata_in_DTD.xml",				"temp/xmlextensionstest/general/WSTester/xml/cdata_in_DTD.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/cdata_lowerrcase.xml",			"temp/xmlextensionstest/general/WSTester/xml/cdata_lowerrcase.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/cdata_nested.xml",				"temp/xmlextensionstest/general/WSTester/xml/cdata_nested.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/cdata_ws_after_declar.xml",		"temp/xmlextensionstest/general/WSTester/xml/cdata_ws_after_declar.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/cdata_ws_before_declar.xml",		"temp/xmlextensionstest/general/WSTester/xml/cdata_ws_before_declar.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/char_ref_decimal.xml",			"temp/xmlextensionstest/general/WSTester/xml/char_ref_decimal.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/char_ref_predefined.xml",		"temp/xmlextensionstest/general/WSTester/xml/char_ref_predefined.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/comments_before_xml_dec.xml",	"temp/xmlextensionstest/general/WSTester/xml/comments_before_xml_dec.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/comments_hiding_tag.xml",		"temp/xmlextensionstest/general/WSTester/xml/comments_hiding_tag.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/comments_in_tag.xml",			"temp/xmlextensionstest/general/WSTester/xml/comments_in_tag.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/comments_including_hyphen.xml",	"temp/xmlextensionstest/general/WSTester/xml/comments_including_hyphen.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/comments_nested.xml",			"temp/xmlextensionstest/general/WSTester/xml/comments_nested.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/comments_wspace.xml",			"temp/xmlextensionstest/general/WSTester/xml/comments_wspace.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/element_name_missing.xml",		"temp/xmlextensionstest/general/WSTester/xml/element_name_missing.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/element_type_declare.xml",		"temp/xmlextensionstest/general/WSTester/xml/element_type_declare.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/element_type_mixed_content.xml",	"temp/xmlextensionstest/general/WSTester/xml/element_type_mixed_content.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/element_wspace_bef_decl.xml",	"temp/xmlextensionstest/general/WSTester/xml/element_wspace_bef_decl.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/empty.xml",						"temp/xmlextensionstest/general/WSTester/xml/empty.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/end_of_line.css",				"temp/xmlextensionstest/general/WSTester/xml/end_of_line.css") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/end_of_line.xml",				"temp/xmlextensionstest/general/WSTester/xml/end_of_line.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_decl_empty.xml",			"temp/xmlextensionstest/general/WSTester/xml/entity_decl_empty.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_decl_illegal_char.xml",	"temp/xmlextensionstest/general/WSTester/xml/entity_decl_illegal_char.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_decl_illegal_chars.xml",	"temp/xmlextensionstest/general/WSTester/xml/entity_decl_illegal_chars.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_decl_missing_quotes.xml",	"temp/xmlextensionstest/general/WSTester/xml/entity_decl_missing_quotes.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_decl_no_wspace.xml",		"temp/xmlextensionstest/general/WSTester/xml/entity_decl_no_wspace.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_decl_quote_not_match.xml","temp/xmlextensionstest/general/WSTester/xml/entity_decl_quote_not_match.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_missing_name.xml",		"temp/xmlextensionstest/general/WSTester/xml/entity_missing_name.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_name_as_period.xml",		"temp/xmlextensionstest/general/WSTester/xml/entity_name_as_period.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_outside_root.xml",		"temp/xmlextensionstest/general/WSTester/xml/entity_outside_root.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_ref.xml",					"temp/xmlextensionstest/general/WSTester/xml/entity_ref.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_ref_as_period.xml",		"temp/xmlextensionstest/general/WSTester/xml/entity_ref_as_period.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_ref_in_markup.xml",		"temp/xmlextensionstest/general/WSTester/xml/entity_ref_in_markup.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_references.xml",			"temp/xmlextensionstest/general/WSTester/xml/entity_references.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/entity_wspace_before_decl.xml",	"temp/xmlextensionstest/general/WSTester/xml/entity_wspace_before_decl.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/external_entities.xml",			"temp/xmlextensionstest/general/WSTester/xml/external_entities.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/iso.xml",						"temp/xmlextensionstest/general/WSTester/xml/iso.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/language_identification.xml",	"temp/xmlextensionstest/general/WSTester/xml/language_identification.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/multiple_entities.xml",			"temp/xmlextensionstest/general/WSTester/xml/multiple_entities.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/no_root_end_tag.xml",			"temp/xmlextensionstest/general/WSTester/xml/no_root_end_tag.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/no_root_provided.xml",			"temp/xmlextensionstest/general/WSTester/xml/no_root_provided.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/no_xml_decl_version.xml",		"temp/xmlextensionstest/general/WSTester/xml/no_xml_decl_version.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/parameter_entity.xml",			"temp/xmlextensionstest/general/WSTester/xml/parameter_entity.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/parameter_name_not_matching.xml","temp/xmlextensionstest/general/WSTester/xml/parameter_name_not_matching.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/parameter_ref_as_period.xml",	"temp/xmlextensionstest/general/WSTester/xml/parameter_ref_as_period.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/pi_after_root_element.xml",		"temp/xmlextensionstest/general/WSTester/xml/pi_after_root_element.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/pi_in_child_element.xml",		"temp/xmlextensionstest/general/WSTester/xml/pi_in_child_element.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/pi_in_root_element.xml",			"temp/xmlextensionstest/general/WSTester/xml/pi_in_root_element.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/prolog_dtd.xml",					"temp/xmlextensionstest/general/WSTester/xml/prolog_dtd.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/sample.css",						"temp/xmlextensionstest/general/WSTester/xml/sample.css") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/standalone.xml",					"temp/xmlextensionstest/general/WSTester/xml/standalone.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/standard.css",					"temp/xmlextensionstest/general/WSTester/xml/standard.css") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/start_end.xml",					"temp/xmlextensionstest/general/WSTester/xml/start_end.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/syntax_name.xml",				"temp/xmlextensionstest/general/WSTester/xml/syntax_name.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/syntax_name_digit.xml",			"temp/xmlextensionstest/general/WSTester/xml/syntax_name_digit.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/syntax_name_hyphen.xml",			"temp/xmlextensionstest/general/WSTester/xml/syntax_name_hyphen.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/syntax_name_space.xml",			"temp/xmlextensionstest/general/WSTester/xml/syntax_name_space.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/unicode.xml",					"temp/xmlextensionstest/general/WSTester/xml/unicode.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/well_formed.xml",				"temp/xmlextensionstest/general/WSTester/xml/well_formed.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/well_formed_valid.xml",			"temp/xmlextensionstest/general/WSTester/xml/well_formed_valid.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_attr_ext_entity_noref.xml","temp/xmlextensionstest/general/WSTester/xml/wf_constraint_attr_ext_entity_noref.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_attr_ext_entity_ref.xml","temp/xmlextensionstest/general/WSTester/xml/wf_constraint_attr_ext_entity_ref.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_attr_lt.xml",		"temp/xmlextensionstest/general/WSTester/xml/wf_constraint_attr_lt.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_elem.xml",			"temp/xmlextensionstest/general/WSTester/xml/wf_constraint_elem.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_elem_mismatch.xml","temp/xmlextensionstest/general/WSTester/xml/wf_constraint_elem_mismatch.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_elem_mm_nest.xml",	"temp/xmlextensionstest/general/WSTester/xml/wf_constraint_elem_mm_nest.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_legal_bs_dec.xml",	"temp/xmlextensionstest/general/WSTester/xml/wf_constraint_legal_bs_dec.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_legal_bs_hex.xml",	"temp/xmlextensionstest/general/WSTester/xml/wf_constraint_legal_bs_hex.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_legal_nul_dec.xml","temp/xmlextensionstest/general/WSTester/xml/wf_constraint_legal_nul_dec.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_legal_nul_hex.xml","temp/xmlextensionstest/general/WSTester/xml/wf_constraint_legal_nul_hex.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_markupdecl.xml",	"temp/xmlextensionstest/general/WSTester/xml/wf_constraint_markupdecl.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_tag.xml",			"temp/xmlextensionstest/general/WSTester/xml/wf_constraint_tag.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_tag_empty.xml",	"temp/xmlextensionstest/general/WSTester/xml/wf_constraint_tag_empty.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/wf_constraint_tag_start.xml",	"temp/xmlextensionstest/general/WSTester/xml/wf_constraint_tag_start.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/xml_decl_in_DTD.xml",			"temp/xmlextensionstest/general/WSTester/xml/xml_decl_in_DTD.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/xml_decl_uppercase.xml",			"temp/xmlextensionstest/general/WSTester/xml/xml_decl_uppercase.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/xml_decla_using_exclam.xml",		"temp/xmlextensionstest/general/WSTester/xml/xml_decla_using_exclam.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/xml_declar_missing_quote.xml",	"temp/xmlextensionstest/general/WSTester/xml/xml_declar_missing_quote.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/xml_declar_wspace_bef_decl.xml",	"temp/xmlextensionstest/general/WSTester/xml/xml_declar_wspace_bef_decl.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/xml_standalne_value_invalid.xml","temp/xmlextensionstest/general/WSTester/xml/xml_standalne_value_invalid.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/xml_standalone_no_uppercase.xml","temp/xmlextensionstest/general/WSTester/xml/xml_standalone_no_uppercase.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/xml_standalone_yes_uppercse.xml","temp/xmlextensionstest/general/WSTester/xml/xml_standalone_yes_uppercse.xml") or die "failed : $!";
copy($epoc . "winscw/c/WS/WSTester/xml/xml_version_bad_value.xml",		"temp/xmlextensionstest/general/WSTester/xml/xml_version_bad_value.xml") or die "failed : $!";

system("7z a -tzip xmlextensionstest.zip ./temp/*");